JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
var::NativeFunctionArgs Struct Reference
juce_core » containers

This structure is passed to a NativeFunction callback, and contains invocation details about the function's arguments and context. More...

`#include <juce_Variant.h>`

## Public Member Functions
| NativeFunctionArgs (const var &thisObject, const var *args, int numArgs) noexcept

## Public Attributes
const var & | thisObject
const var * | arguments
int | numArguments

## Detailed Description

This structure is passed to a NativeFunction callback, and contains invocation details about the function's arguments and context.

## Constructor & Destructor Documentation

## ◆ NativeFunctionArgs()

var::NativeFunctionArgs::NativeFunctionArgs | ( | const var & | thisObject,
|  | const var * | args,
|  | int | numArgs )
| noexcept

## Member Data Documentation

## ◆ thisObject

const var& var::NativeFunctionArgs::thisObject

## ◆ arguments

const var* var::NativeFunctionArgs::arguments

## ◆ numArguments

int var::NativeFunctionArgs::numArguments

The documentation for this struct was generated from the following file:

- juce_Variant.h